#! /usr/bin/env python
# This file is part of Bio Bug
# Author(s): Alexi Ramsey, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Bio Bug is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Bio Bug is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Bio Bug.  If not, see <http://www.gnu.org/licenses/>.


from helpers import *

class layout():
    
    def __init__(self):
        self.SPACE = 0
        self.PELLET = 1
        self.BLOCK = 2
        self.PLAYER = 3
        self.MONSTER = 4
        self.FINISH_LINE = 9
    
    def getLayout(self):
        return [[2, 2, 2, 2, 2, 2, 2, 2, 2, 2 ,2, 2, 2, 2, 2, 2, 2, 2, 2],
                [2, 0, 1, 0, 1, 0, 1, 0, 1, 2 ,0, 1, 0, 1, 0, 1, 4, 0, 2],
                [2, 2, 2, 2, 0, 2, 2, 2, 1, 2 ,0, 2, 2, 2, 1, 2, 2, 2, 2],
                [2, 2, 0, 0, 3, 0, 1, 0, 1, 0 ,1, 0, 1, 0, 1, 0, 1, 2, 2],
                [2, 1, 2, 2, 4, 2, 1, 2, 2, 2 ,2, 2, 0, 2, 1, 2, 2, 0, 2],
                [2, 1, 0, 1, 0, 2, 1, 0, 1, 2 ,0, 1, 0, 2, 1, 0, 1, 0, 2],
                [2, 2, 2, 2, 1, 2, 2, 2, 0, 2, 1, 2, 2, 2, 0, 2, 2, 2, 2],
                [2, 2, 2, 2, 1, 2, 0, 1, 0, 1, 0, 1, 0, 2, 1, 2, 2, 2, 2],
                [2, 0, 2, 2, 0, 2, 1, 2, 2, 2, 2, 2, 0, 2, 1, 2, 2, 0, 2],
                [2, 0, 0, 1, 0, 1, 0, 0, 1, 2, 1, 0, 0, 1, 0, 1, 0, 1, 2],
                [2, 0, 2, 2, 0, 2, 1, 2, 2, 2, 2, 2, 0, 2, 1, 2, 2, 0, 2],
                [2, 2, 2, 2, 0, 2, 1, 0, 0, 1, 0, 0, 1, 2, 0, 2, 2, 2, 2],
                [2, 2, 0, 0, 1, 2, 0, 2, 2, 2, 2, 2, 1, 2, 4, 0, 0, 2, 2],
                [2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2],
                [2, 0, 2, 2, 1, 2, 2, 2, 0, 2, 1, 2, 2, 2, 0, 2, 2, 1, 2],
                [2, 0, 1, 2, 1, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 2],
                [2, 2, 1, 2, 0, 2, 1, 2, 2, 2, 2, 2, 0, 2, 1, 2, 0, 2, 2],
                [2, 1, 0, 1, 0, 2, 1, 0, 1, 2, 0, 1, 0, 2, 1, 0, 1, 0, 2],
                [2, 1, 2, 2, 2, 2, 2, 2, 0, 2, 1, 2, 2, 2, 2, 2, 2, 0, 2],
                [2, 0, 1, 0, 1, 0, 1, 0, 4, 1, 1, 0, 1, 0, 0, 1, 0, 1, 2],
                [2, 2, 2, 2, 2, 2, 2, 2, 2, 9, 2, 2, 2, 2, 2, 2, 2, 2, 2]]
                
    def getSprites(self):
        space, rect = load_image('space.jpg')
        block, rect = load_image('block-2.png')
        pellet, rect = load_image('pellet-2.png',-1)
        player, rect = load_image('player-2.png',-1)
        monster, rect = load_image('monster-2.png',-1)
        return [space,pellet,block,player,monster]
        
